[Lsb-messages] /var/www/bzr/lsb/devel/puppet-lsb r80: Add init script for the buildbot master.

Jeff Licquia licquia at linuxfoundation.org
Sat Jan 28 05:32:31 UTC 2012


------------------------------------------------------------
revno: 80
committer: Jeff Licquia <licquia at linuxfoundation.org>
branch nick: puppet-lsb
timestamp: Sat 2012-01-28 00:32:31 -0500
message:
  Add init script for the buildbot master.
added:
  modules/buildbot/files/buildbot.init
modified:
  modules/buildbot/manifests/master.pp
-------------- next part --------------
=== added file 'modules/buildbot/files/buildbot.init'
--- a/modules/buildbot/files/buildbot.init	1970-01-01 00:00:00 +0000
+++ b/modules/buildbot/files/buildbot.init	2012-01-28 05:32:31 +0000
@@ -0,0 +1,42 @@
+#!/bin/sh
+
+### BEGIN INIT INFO
+# Provides:          buildbot
+# Required-Start:    $network
+# Required-Stop:     $network
+# Default-Start:     2 3 4 5
+# Default-Stop:      1
+# Short-Description: buildbot master daemon
+# Description:       Buildbot is a build system.  This script controls
+#                    the buildbot server (or "master").
+### END INIT INFO
+
+PRG=buildbot
+DAEMON=/opt/buildbot/bin/$PRG
+
+test -x $DAEMON || exit 0
+
+case "$1" in
+  start)
+    echo -n "Checking configuration for $PRG: "
+    $DAEMON checkconfig /opt/buildbot/lsb-master > /tmp/buildbot-check.log 2>&1
+    if [ $? -eq 0 ]; then
+        echo "done"
+    else
+        echo "errors found; check /tmp/buildbot-check.log for details"
+        exit 1
+    fi
+    echo -n "Starting $PRG: "
+    $DAEMON start /opt/buildbot/lsb-master
+    RETVAL=$?
+    echo "done"
+    ;;
+  stop)
+    echo -n "Stopping $PRG: "
+    $DAEMON stop /opt/buildbot/lsb-master
+    RETVAL=$?
+    echo "done"
+    ;;
+esac
+
+exit $RETVAL

=== modified file 'modules/buildbot/manifests/master.pp'
--- a/modules/buildbot/manifests/master.pp	2012-01-28 01:22:41 +0000
+++ b/modules/buildbot/manifests/master.pp	2012-01-28 05:32:31 +0000
@@ -46,4 +46,10 @@
         ensure => present,
     }
 
+    file { "/etc/init.d/buildbot":
+        ensure => present,
+        source => "puppet:///modules/buildbot/buildbot.init",
+        mode   => 0755,
+    }
+
 }



More information about the lsb-messages mailing list